<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	Copyright IBM Corporation 2008. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>
<%-- 
@author xbyu@cn.ibm.com
--%>

<%@ page language="java" import="org.apache.struts.util.MessageResources,org.apache.struts.action.Action,com.ibm.ws.sm.workspace.*,com.ibm.ws.console.core.error.*"%>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>

<tiles:useAttribute name="contextType"    classname="java.lang.String"/>
<tiles:useAttribute name="descTitle"     classname="java.lang.String" ignore="true"/>
<tiles:useAttribute name="descText"       classname="java.lang.String" ignore="true"/>
<tiles:useAttribute name="parent"         classname="java.lang.String"/>
<tiles:useAttribute name="formAction"     classname="java.lang.String" scope="request"/>
<tiles:useAttribute name="formName"       classname="java.lang.String" />
<tiles:useAttribute name="formType"       classname="java.lang.String" />
<tiles:useAttribute name="buttons"        classname="java.lang.String"/>
<tiles:useAttribute name="showCheckBoxes" classname="java.lang.String"/>
<tiles:useAttribute name="selectUri" classname="java.lang.String" />
<tiles:useAttribute name="idColumn"       classname="java.lang.String" />
<tiles:useAttribute name="idColumnDisplayFieldName" classname="java.lang.String"/>
<tiles:useAttribute name="htmlFilter"     classname="java.lang.String"/>
<tiles:useAttribute name="contentList"    classname="java.util.List" />
<tiles:useAttribute name="collectionPreferenceList" classname="java.util.List" ignore="true"/>
<tiles:useAttribute name="searchList"     classname="java.util.List" ignore="true"/>

<% request.setAttribute("contextType",contextType);%>

<%-- for some reason a opening <tr> and <td> are not generated and this is messing up with the help panel layout. --%>

<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="10" WIDTH="100%" SUMMARY="List layout table">
	<TBODY>
		<TR>
            <td VALIGN="top" COLSPAN="2">
            <% if (descTitle!=null && descTitle.length()>0) { %>
                <h2><bean:message key="<%=descTitle%>"/></H2>
             <% } %>

            <% if (descText!=null && descText.length()>0) { %>
                <p class="instruction-text"><bean:message key='<%=descText%>'/></p>
             <% }
             
            %>
            <tiles:insert page="/com.ibm.ws.console.sca/containedVboxLayout.jsp" flush="true">
                <tiles:put name="list" beanName="contentList" beanScope="page"/>
                <tiles:put name="preferenceList" beanName="collectionPreferenceList" beanScope="page"/>
                <tiles:put name="searchList" beanName="searchList" beanScope="page"/>
                <tiles:put name="parent" beanName="parent" beanScope="page"/>
                <tiles:put name="formAction" beanName="formAction" beanScope="request"/>
                <tiles:put name="formName" beanName="formName" beanScope="page"/>
                <tiles:put name="formType" beanName="formType" beanScope="page"/>
                <tiles:put name="buttons" beanName="buttons" beanScope="page"/>
                <tiles:put name="showCheckBoxes" beanName="showCheckBoxes" beanScope="page"/>
                <tiles:put name="selectUri" beanName="selectUri" beanScope="page"/>
                <tiles:put name="idColumn" beanName="idColumn" beanScope="page"/>
                <tiles:put name="idColumnDisplayFieldName" beanName="idColumnDisplayFieldName" beanScope="page"/>
                <tiles:put name="htmlFilter" beanName="htmlFilter" beanScope="page"/>
            </tiles:insert>
            </td>
        </TR>
     </TBODY>
</TABLE>


 
