<!-- 
Licensed Materials - Property of IBM
5724-L01, 5655-N53, 5724-I82, 5655-R15
- Copyright IBM Corporation 2007, 2008. All Rights Reserved.
US Government Users Restricted Rights- Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
-->

<%@ page import="java.util.*"%>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

   <tiles:useAttribute id="label" name="label" classname="java.lang.String"/>
   <tiles:useAttribute id="isRequired" name="isRequired" classname="java.lang.String"/>
   <tiles:useAttribute id="units" name="units" classname="java.lang.String"/>
   <tiles:useAttribute id="size" name="size" classname="java.lang.String"/>
   <tiles:useAttribute id="desc" name="desc" classname="java.lang.String"/>
   <tiles:useAttribute id="property" name="property" classname="java.lang.String"/>
   <tiles:useAttribute id="formBean" name="bean" classname="java.lang.String"/>
   <tiles:useAttribute id="readOnly" name="readOnly" classname="java.lang.String"/>

   
<% if (desc.equals("")) { desc = label; } %> 
   
   <td class="table-text"  scope="row" valign="top"> 

<% if (isRequired.equalsIgnoreCase("yes")) { %> 
   <span class="requiredField"> 
     <label  for="<%=property%>" title="<bean:message key="<%=desc%>"/>"> 
     <img id="requiredImage" src="images/attend.gif" width="8" height="8" align="absmiddle" alt="<bean:message key="information.required"/>"> 
     <bean:message key="<%=label%>" /> 
     </label> 
   </span> 
<% } else {%>              
    <label  for="<%=property%>" title="<bean:message key="<%=desc%>"/>"> 
    <bean:message key="<%=label%>" /> 
    </label> 
<% } %> 

 <BR/>


   <!-- Values vector session attribute is property name+"ValueVector" -->
   <!-- OLD VERSION:     onchange = "this.form.Populate.value='Populate';" + "submit()";	-->
   <% Vector valueVector = (Vector)session.getAttribute(property+"ValueVector");
   Vector descVector = (Vector)session.getAttribute(property+"DescVector");
   %>

   <%
   	String pPopulate = property+"Populate";
      String onchange = "";
      onchange = "this.form."+pPopulate+".value='"+pPopulate+"';"+ "submit()";	
                          	                    
   %>

   <bean:define id="bean" name="<%=formBean%>"/>

   <table border="0" cellpadding="0" cellspacing="0" summary="Custom Selection Box Table"> 
     <tbody> 
     <tr valign="top"> 
     <td class="table-text"  scope="row" valign="top"> 
   <% if ((readOnly.equalsIgnoreCase("yes") || (readOnly.equalsIgnoreCase("true")))) { %>
        <P CLASS="readOnlyElement" ID="<%=property%>">
          <bean:write property="<%=property%>" name="<%=formBean%>"/>
          &nbsp;
        </P>
   <% } else { 
   %>
   		
	
       	<html:hidden property="<%=pPopulate%>" styleId="<%=pPopulate%>" value=""></html:hidden>  

        <html:select property="<%=property%>" name="<%=formBean%>" onchange="<%=onchange%>" styleId="<%=property%>">
          
       <%  
        for (int i=0; i < valueVector.size(); i++)
        { 
   	      String val = (String)valueVector.elementAt(i);
   	      String des = (String)descVector.elementAt(i);
       
          if (!val.trim().equals("")) { %>  
            <html:option value="<%=val%>"><%=((des != null && !des.trim().equals(""))? des: val)%></html:option>
   <%     }
        }
   %>  
        </html:select>
   <% }
   %>
     </td>
     </tr>
     </tbody>
   </table>

   </td>

