<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	Copyright IBM Corporation 2008. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>
<%-- 
@author xbyu@cn.ibm.com
--%>
<%@ page import="java.util.Iterator"%>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%-- Layout component 
  Render a list of tiles in a vertical column
  @param : list List of names to insert 
  
--%>
<STYLE>
.navigation{  
	background-color:#EAF1FF;
	font-family:Verdana,Helvetica,sans-serif;
	border-color:#B1B1B1 rgb(0, 0, 0) rgb(0, 0, 0) rgb(177, 177, 177);
	border-style:outset;
	border-width:1px;
  	font-size:95%;
	margin-left:0.5em;
	padding:1px;
}
</STYLE>

<tiles:useAttribute name="formAction" classname="java.lang.String"/>
<tiles:useAttribute name="formName" classname="java.lang.String" />
<tiles:useAttribute name="formType" classname="java.lang.String" />
<tiles:useAttribute id="list" name="list" classname="java.util.List" />

<%-- Iterate over names.
  We don't use <iterate> tag because it doesn't allow insert (in JSP1.1)
 --%>
<TABLE WIDTH="100%" BORDER="0" CELLPADDING="5" cellspacing="10">
<%
String savePaging = "";
Iterator i=list.iterator();
while( i.hasNext() )
  {
  String name= (String)i.next();
     if (name.indexOf("paging") > -1) {
        savePaging = name;
     } else {
%>
<TR><TD>
<tiles:insert name="<%=name%>" flush="true" />
</TD></TR>
<%

     }
  } // end loop
  
   //  Used as a temporary fix to place paging layout at the bottom of collections
   if (!savePaging.equals("")) {
%>
	<TR><TD>
    <tiles:insert name="<%=savePaging%>" flush="true" />
    </TD></TR>
<%
   }
%>

<TR>
	<td class="navigation-button-section table-text" nowrap VALIGN="top" > 
		<html:form action="<%=formAction%>" name="<%=formName%>" type="<%=formType%>" >
         	<input type="submit" name="org.apache.struts.taglib.html.CANCEL" value="<bean:message key="button.close"/>" class="navigation" />
		</html:form>
	</td>
</TR>   
</TABLE>