<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-I82, 5655-R15
//	- Copyright IBM Corporation 2006,2007. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>

<%@ page language="java" import="java.util.*"%>
<%@ page import="org.apache.struts.util.MessageResources"%>

<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>


<bean:define id="formBean" name="com.ibm.ws.console.wbi.corescaconfig.SCAConfigForm"
		type="com.ibm.ws.console.wbi.corescaconfig.SCAConfigForm"/>

 
<!--
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 -->
 
<script type="text/javascript" src="/ibm/console/scripts/menu_functions.js"></script>

<script type="text/javascript">
function setDsButton(){
	if (!document.getElementById("appBusDs").hasChildNodes()){
		document.getElementById("appBusDs.configure").disabled=true;
	}
	if (!document.getElementById("sysBusDs").hasChildNodes()){
		document.getElementById("sysBusDs.configure").disabled=true;
	}
}
function hideAuth(){
	<%if(!formBean.isAdminUser()){%>
		disableField('sysBusDsUserName');
		disableField('sysBusDsPassword');
		disableField('sysBusDsPasswdConfirm');
		disableField('appBusDsUserName');
		disableField('appBusDsPassword');
		disableField('appBusDsPasswdConfirm');
	<%}%>
}
function disableField(field){
		document.getElementById(field).disabled=true;
		if(isDom){
			document.getElementById(field).parentNode.style.color="#CCCCCC";
		}else{
			document.getElementById(field).parentElement.style.color="#CCCCCC";
		}
}
function enableField(field){
		document.getElementById(field).disabled=false;
		if(isDom){
			document.getElementById(field).parentNode.style.color="#000000";
		}else{
			document.getElementById(field).parentElement.style.color="#000000";
		}
}
function setSCAStatus(){
	<%if (formBean.isScaInstalled()) {%>
		document.getElementById("enableSCA").disabled = true;
		enableDisable('enableSCA:remoteSCA:localSCA:configAppBusDs:useDefaultSysBusDs:sysBusDs:sysBusDs.configure:sysBusDs.new:sysBusSchema:sysBusDsUserName:sysBusDsPassword:sysBusDsPasswdConfirm:createSysBusTables');
		
		<%if(!formBean.isConfigAppBusDs()) {%>
			enableField('configAppBusDs');
		<%}%>
			enableAppBusDsFields();
			enableDisable('remoteSCA:remoteScaDestLocation:new');
	<%} else {%>
		if(document.getElementById("enableSCA").checked){
			enableSCAFields();
		}else{
			enableDisable('enableSCA:remoteSCA:remoteScaDestLocation:new:localSCA:appBusDs:appBusDs.configure:appBusDs.new:configAppBusDs:useDefaultAppBusDs:appBusSchema:appBusDsUserName:appBusDsPassword:appBusDsPasswdConfirm:createAppBusTables:useDefaultSysBusDs:sysBusDs:sysBusDs.configure:sysBusDs.new:sysBusSchema:sysBusDsUserName:sysBusDsPassword:sysBusDsPasswdConfirm:createSysBusTables');
		}
	<%}%>
	hideAuth();
	
}
function enableSCAFields() {
	enableDisable('enableSCA:remoteSCA:localSCA:configAppBusDs:useDefaultSysBusDs:sysBusDs:sysBusDs.configure:sysBusDs.new:sysBusSchema:sysBusDsUserName:sysBusDsPassword:sysBusDsPasswdConfirm:createSysBusTables');
	enableAppBusDsFields();
	enableDisable('remoteSCA:remoteScaDestLocation:new');
	setDsButton();
	hideAuth();
	<%if (!formBean.getScaLocation().equals("remote")){%>
		document.getElementById("localSCA").checked = true;
	<%}%>
}
function enableRemoteSCAFields(){
	enableDisable('remoteSCA:remoteScaDestLocation:new');
	destinationChanged();
}
function enableAppBusDsFields(){
	enableDisable('configAppBusDs:appBusDs:appBusDs.configure:appBusDs.new:useDefaultAppBusDs:appBusSchema:appBusDsUserName:appBusDsPassword:appBusDsPasswdConfirm:createAppBusTables');
}
function destinationChanged(){
	name="com.ibm.ws.console.wbi.corescaconfig.SCAConfigForm";
	document.getElementById("scopeChanged").value="true"
	var x=document.getElementsByName(name);
    x[0].submit();
}
</script>

<td class="table-text"  scope="row" valign="top" nowrap>

	<table class="framing-table" border="0" cellpadding="5" cellspacing="0"
			width="100%" summary="Service Component Architecture Configuration">
	
		<!-- checkbox: Configure the service component architecture -->
		<tr>
			<td class="table-text" nowrap>
				<label for="enableSCA"
				title="<bean:message key="scaconfig.enableSCA.checkbox.description"/>">
					<html:checkbox property="enableSCA"
							styleId="enableSCA"
							onclick="enableSCAFields()" />
					<bean:message key="scaconfig.enableSCA.checkbox.label" />
				</label>
			</td>
		</tr>	   
		<!-- checkbox: Configure the service component architecture -->
		
		<!-- Service Component Architecture Configuration -->
		<tr>
			<td class="table-text" style="padding-left:30px;" nowrap id="mainScaConfigCell">
				<fieldset>
					<legend>
						<bean:message key="scaconfig.destination.location" />
					</legend>
				<table class="framing-table" border="0" cellpadding="5" cellspacing="0"
						width="100%" summary="Service Component Architecture Configuration">
					
					<!-- radiobox: Use a remote destination location -->
					<!-- Local -->
					<tr>
						<td class="table-text" nowrap>
							<label for="localSCA"
								title="<bean:message key="scaconfig.localSCA.radio.description"/>">
							<html:radio property="scaLocation"
									styleId="localSCA"
									value="<%=formBean.SCA_LOCAL%>"
									onclick="enableRemoteSCAFields()" />
									<bean:message key="scaconfig.local.destination" />
									</label>
						</td>
					</tr>
					<!-- Remote -->
					<tr>
						<td class="table-text" nowrap>
							<label for="remoteSCA" 
							title="<bean:message key="scaconfig.remoteSCA.radio.description"/>">
								<html:radio property="scaLocation"
										styleId="remoteSCA"
										value="<%=formBean.SCA_REMOTE%>"
										onclick="enableRemoteSCAFields()" />
								<bean:message key="scaconfig.remote.destination" />
							</label>
						</td>
					</tr>
					<tr>
						<td class="table-text" style="padding-left:30px;" >	
								<html:select property="remoteScaDestLocation" styleId="remoteScaDestLocation" onchange="destinationChanged()">
									<logic:present name="formBean" property="remoteDestLocationList">
										<html:options name="formBean" property="remoteDestLocationList" />
									</logic:present>
								</html:select>	
								<input type="submit" name="new" 
												value="<bean:message key="scaconfig.remote.destination.new" />" 
												style="background-color:#EAF1FF;border-color:#8CB1D1 rgb(51, 102, 153) rgb(51, 102, 153) rgb(140, 177, 209);border-style:solid;border-width:1px;font-family:Verdana,sans-serif;font-weight:normal;font-size:95%" 
												id="new"/>
										
						</td>
					</tr>
					<!-- radiobox: Use a remote destination location -->
					</table>
					</fieldset>
					<table class="framing-table" border="0" cellpadding="5" cellspacing="0"
						width="100%">
					<tr>
						<td class="table-text" style="padding-left:30px;" id="scaConfigLocallyCell">
						<fieldset>
								<legend>
									<bean:message key="scaconfig.sysBusDs.title" />
								</legend>
							<table class="framing-table" border="0" cellpadding="5" cellspacing="0"
									width="100%" summary="SCA system bus data store Configuration">
								<!-- Title: System Bus -->
								
								<tr>
									<td class="table-text" colspan="3">
										<bean:message key="scaconfig.sysBusDs.description" />
									</td>
								</tr>
								<!-- System bus: checkbox: Use Default Data Store  -->
								<tr>
									<td class="table-text" colspan="3" nowrap>
										<label for="useDefaultSysBusDs"
										title="<bean:message key="scaconfig.useDefaultDs.checkbox.description"/>">
											<html:checkbox property="useDefaultSysBusDs"
													styleId="useDefaultSysBusDs"
													onclick="" />
											<bean:message key="scaconfig.useDefaultDs.checkbox.label" />
										</label>
									</td>
								</tr>
								<!-- System bus: select: Data Source -->
								<tr>
									<td class="table-text" colspan="3" nowrap>
										<label for="sysBusDs"
										title="<bean:message key="scaconfig.dataSource.name.description"/>">
											<bean:message key="scaconfig.dataSource.name.label" />
										</label>
									</td>
								</tr>
								<tr>
									<td class="table-text">
										<html:select property="sysBusDs" styleId="sysBusDs">
											<logic:present name="formBean" property="sysBusDsList">
											<html:options name="formBean" property="sysBusDsList" />
											</logic:present>
										</html:select>
									</td>
									<td class="table-text">
										<input type="submit" name="sysBusDs.configure" 
												value="<bean:message key="scaconfig.dataSource.configure.button.label" />"
												style="background-color:#EAF1FF;border-color:#8CB1D1 rgb(51, 102, 153) rgb(51, 102, 153) rgb(140, 177, 209);border-style:solid;border-width:1px;font-family:Verdana,sans-serif;font-weight:normal;font-size:95%" 
												id="sysBusDs.configure" />
									</td>
									<td class="table-text">
										<input type="submit" name="sysBusDs.new" 
												value="<bean:message key="scaconfig.dataSource.new.button.label" />"
												style="background-color:#EAF1FF;border-color:#8CB1D1 rgb(51, 102, 153) rgb(51, 102, 153) rgb(140, 177, 209);border-style:solid;border-width:1px;font-family:Verdana,sans-serif;font-weight:normal;font-size:95%" 
												id="sysBusDs.new" />
									</td>
								</tr>
								<!-- System bus: text: Schema -->
								<tr>
									<td class="table-text" colspan="3">
										<label for="sysBusSchema"
										title="<bean:message key="scaconfig.dataSource.schema.description"/>">
											<bean:message key="scaconfig.dataSource.schema.label" />
											<br/>
											<html:text property="sysBusSchema"
													styleId="sysBusSchema"
													size="20"
													styleClass="textEntry" />
										</label>
									</td>
								</tr>
								<!-- System bus: text: User name -->
								<tr>
									<td class="table-text" colspan="3">
										<label for="sysBusDsUserName"
										title="<bean:message key="scaconfig.username.description"/>">
											<bean:message key="scaconfig.username.label" />
											<br/>
											<html:text property="sysBusDsUserName"
													styleId="sysBusDsUserName"
													size="20"
													styleClass="textEntry" />
										</label>
									</td>
								</tr>
								<!-- System bus: password: Password -->
								<tr>
									<td class="table-text" colspan="3">
										<label for="sysBusDsPassword"
										title="<bean:message key="scaconfig.password.description"/>">
											<bean:message key="scaconfig.password.label" />
											<br/>
											<html:password property="sysBusDsPassword"
													styleId="sysBusDsPassword"
													size="20"
													styleClass="textEntry" />
										</label>
									</td>
								</tr>
								<tr>
									<td class="table-text" colspan="3">
										<label for="sysBusDsPasswdConfirm"
										title="<bean:message key="scaconfig.passwdConfirm.description"/>">
											<bean:message key="scaconfig.passwdConfirm.label" />
											<br/>
											<html:password property="sysBusDsPasswdConfirm"
													styleId="sysBusDsPasswdConfirm"
													size="20"
													styleClass="textEntry" />
										</label>
									</td>
								</tr>								
								<!-- System bus: checkbox: Create table -->
								<tr>
									<td class="table-text" colspan="3" nowrap>
										<label for="createSysBusTables"
										title="<bean:message key="scaconfig.dataSource.createTables.checkbox.description"/>">
											<html:checkbox property="createSysBusTables"
													styleId="createSysBusTables"
													onclick="" />
											<bean:message key="scaconfig.dataSource.createTables.checkbox.label" />
										</label>
									</td>
								</tr>
								</table>
							</fieldset>
								<!-- Title: System Bus -->
								
								<!-- Title: Application Bus -->
								<fieldset>
									<legend>
										<bean:message key="scaconfig.appBusDs.title" />
									</legend>
								<table>
								
								<tr>
									<td class="table-text">
										<bean:message key="scaconfig.appBusDs.description" />
									</td>
								</tr>
								<!-- App bus: checkbox: Configure the application bus -->
								<tr>
									<td class="table-text" colspan="3" nowrap>
										<label for="configAppBusDs"
										title="<bean:message key="scaconfig.configAppBusDs.checkbox.description"/>">
											<html:checkbox property="configAppBusDs"
													styleId="configAppBusDs"
													onclick="enableAppBusDsFields()" />
											<bean:message key="scaconfig.configAppBusDs.checkbox.label" />
										</label>
									</td>
								</tr>
								
								<tr>
									<td class="table-text" colspan="3" id="appbusDsConfigCell">
										<table class="framing-table" border="0" cellpadding="5" cellspacing="0"
												width="100%" summary="SCA Application bus data store Configuration">
											<!-- App bus: checkbox: Use Default Data Store -->
											<tr>
												<td class="table-text" colspan="3" nowrap>
													<label for="useDefaultAppBusDs"
													title="<bean:message key="scaconfig.useDefaultDs.checkbox.description"/>">
														<html:checkbox property="useDefaultAppBusDs"
																styleId="useDefaultAppBusDs"
																onclick="" />
														<bean:message key="scaconfig.useDefaultDs.checkbox.label" />
													</label>
												</td>
											</tr>
											<!-- App bus: select: Data Source -->
											<tr>
												<td class="table-text" colspan="3" nowrap>
													<label for="appBusDs"
													title="<bean:message key="scaconfig.dataSource.name.description"/>">
														<bean:message key="scaconfig.dataSource.name.label" />
													</label>
												</td>
											</tr>
											<tr>
												<td class="table-text">
													<html:select property="appBusDs" styleId="appBusDs">
														<logic:present name="formBean" property="appBusDsList">
														<html:options name="formBean" property="appBusDsList" />
														</logic:present>
													</html:select>
												</td>
												<td class="table-text">
													<input type="submit" name="appBusDs.configure" 
															value="<bean:message key="scaconfig.dataSource.configure.button.label" />"
															style="background-color:#EAF1FF;border-color:#8CB1D1 rgb(51, 102, 153) rgb(51, 102, 153) rgb(140, 177, 209);border-style:solid;border-width:1px;font-family:Verdana,sans-serif;font-weight:normal;font-size:95%" 
															id="appBusDs.configure" />
												</td>
												<td class="table-text">
													<input type="submit" name="appBusDs.new" 
															value="<bean:message key="scaconfig.dataSource.new.button.label" />"
															style="background-color:#EAF1FF;border-color:#8CB1D1 rgb(51, 102, 153) rgb(51, 102, 153) rgb(140, 177, 209);border-style:solid;border-width:1px;font-family:Verdana,sans-serif;font-weight:normal;font-size:95%" 
															id="appBusDs.new" />
												</td>
											</tr>
											<!-- App bus: text: Schema -->
											<tr>
												<td class="table-text" colspan="3">
													<label for="appBusSchema"
													title="<bean:message key="scaconfig.dataSource.schema.description"/>">
														<bean:message key="scaconfig.dataSource.schema.label" />
														<br/>
														<html:text property="appBusSchema"
																styleId="appBusSchema"
																size="20"
																styleClass="textEntry" />
													</label>
												</td>
											</tr>
											<!-- App bus: text: User name -->
											<tr>
												<td class="table-text" colspan="3">
													<label for="appBusDsUserName"
													title="<bean:message key="scaconfig.username.description"/>">
														<bean:message key="scaconfig.username.label" />
														<br/>
														<html:text property="appBusDsUserName"
																styleId="appBusDsUserName"
																size="20"
																styleClass="textEntry" />
													</label>
												</td>
											</tr>
											<!-- App bus: password: Password -->
											<tr>
												<td class="table-text" colspan="3">
													<label for="appBusDsPassword"
													title="<bean:message key="scaconfig.password.description"/>">
														<bean:message key="scaconfig.password.label" />
														<br/>
														<html:password property="appBusDsPassword"
																styleId="appBusDsPassword"
																size="20"
																styleClass="textEntry" />
													</label>
												</td>
											</tr>
											<tr>
												<td class="table-text" colspan="3">
													<label for="appBusDsPasswdConfirm"
													title="<bean:message key="scaconfig.passwdConfirm.description"/>">
														<bean:message key="scaconfig.passwdConfirm.label" />
														<br/>
														<html:password property="appBusDsPasswdConfirm"
																styleId="appBusDsPasswdConfirm"
																size="20"
																styleClass="textEntry" />
													</label>
												</td>
											</tr>
											<!-- App bus: checkbox: Create table -->
											<tr>
												<td class="table-text" colspan="3" nowrap>
													<label for="createAppBusTables"
													title="<bean:message key="scaconfig.dataSource.createTables.checkbox.description"/>">
														<html:checkbox property="createAppBusTables"
																styleId="createAppBusTables"
																onclick="" />
														<bean:message key="scaconfig.dataSource.createTables.checkbox.label" />
													</label>
												</td>
											</tr>											
										</table>									
									</td>
								</tr>
								<!-- Title: Application Bus -->
							</table>
							</fieldset>
						</td>
					</tr>
					<!-- radiobox: Configure a remote destination location locally -->
				</table>		
			
			</td>
		</tr>	   
		<!-- Service Component Architecture Configuration -->
	</table>

</td>
<input type="hidden" name="scopeChanged" id="scopeChanged" value="false"> 
<script type="text/javascript">
	setSCAStatus();
</script>
